Bug 1440077 - [NMCI] [abrt] [faf] NetworkManager: _g_log_abort(): /usr/sbin/NetworkManager killed by 5
Summary: [NMCI] [abrt] [faf] NetworkManager: _g_log_abort(): /usr/sbin/NetworkManager ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-07 09:26 UTC by Vladimir Benes
Modified: 2017-08-01 09:27 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.8.0-0.4.rc3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:27:08 UTC


Attachments (Terms of Use)
[PATCH] manager: unexport VPN connections when the activation fails early (4.51 KB, patch)
2017-04-08 08:15 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Vladimir Benes 2017-04-07 09:26:29 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/d7488358d9788f032c064ec1628d4ec1fc8ed280/

Comment 1 Beniamino Galvani 2017-04-08 08:15:53 UTC
Created attachment 1269983 [details]
[PATCH] manager: unexport VPN connections when the activation fails early

Comment 2 Beniamino Galvani 2017-04-08 08:21:13 UTC
Note for QE: to reproduce the crash it is sufficient to create a VPN
connection and make it fail without even starting the VPN service. The
simplest way to do so would be:

 1. remove a VPN plugin (e.g. OpenVPN)
 2. create a OpenVPN connection
 3. try to activate it; this will fail
 4. delete the connection; this will cause the crash

Comment 3 Lubomir Rintel 2017-04-11 16:17:45 UTC
Looks good

Comment 6 errata-xmlrpc 2017-08-01 09:27:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.